## pytest-watcher 0.4.3

=== docs/Makefile ===
# Minimal makefile for Sphinx documentation
#

# You can set these variables from the command line, and also
# from the environment for the first two.
SPHINXOPTS    ?=
SPHINXBUILD   ?= sphinx-build
SOURCEDIR     = .
BUILDDIR      = _build
SERVE_PORT    = 8000

# Put it first so that "make" without argument is like "make help".
help:
	@$(SPHINXBUILD) -M help "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

serve:
	@$(SPHINXBUILD) -M clean "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)
	@$(SPHINXBUILD) -M html "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)
	python -m http.server $(SERVE_PORT) --directory "$(BUILDDIR)/html"

.PHONY: help Makefile

# Catch-all target: route all unknown targets to Sphinx using the new
# "make mode" option.  $(O) is meant as a shortcut for $(SPHINXOPTS).
%: Makefile
	@$(SPHINXBUILD) -M $@ "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

=== docs/requirements.txt ===
myst-parser==1.0.0
sphinx-rtd-theme>=1.2.2

=== debian/changelog ===
pytest-watcher (0.4.3-2) unstable; urgency=medium

  * d/control, d:copyright: Move to Debian email.
  * d/copyright: Fix license entry

 -- EnkelenaH <enkelenah@debian.org>  Wed, 13 Aug 2025 22:50:01 +0200

pytest-watcher (0.4.3-1) unstable; urgency=medium

  * Initial release. (Closes: #1108058)

 -- EnkelenaH <enkelena.h@gmail.com>  Tue, 17 Jun 2025 13:30:28 +0200

=== debian/control ===
Source: pytest-watcher
Section: python
Priority: optional
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders:
 EnkelenaH <enkelenah@debian.org>,
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-python3,
 dh-sequence-sphinxdoc <!nodoc>,
 pybuild-plugin-pyproject,
 python-pytest-doc <!nodoc>,
 python3-all,
 python3-freezegun <!nocheck>,
 python3-myst-parser <!nodoc>,
 python3-poetry-core,
 python3-pytest <!nocheck>,
 python3-pytest-mock <!nocheck>,
 python3-sphinx <!nodoc>,
 python3-sphinx-rtd-theme <!nodoc>,
 python3-watchdog <!nocheck>,
Standards-Version: 4.7.2
Homepage: https://github.com/olzhasar/pytest-watcher
Vcs-Browser: https://salsa.debian.org/python-team/packages/pytest-watcher
Vcs-Git: https://salsa.debian.org/python-team/packages/pytest-watcher.git
Testsuite: autopkgtest-pkg-python

Package: python-pytest-watcher-doc
Section: doc
Architecture: all
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Multi-Arch: foreign
Description: Automatically rerun tests (pytest by default) when code changes (Documentation)
 pytest-watcher is a utility designed to automatically re-run tests
 (pytest by default) whenever your Python code changes.
 .
 This package contains the documentation for python3-pytest-watcher.

Package: python3-pytest-watcher
Architecture: all
Depends:
 ${misc:Depends},
 ${python3:Depends},
Suggests:
 python-pytest-watcher-doc,
Description: Automatically rerun tests (pytest by default) when code changes
 pytest-watcher is a utility designed to automatically re-run tests whenever
 your Python code changes. By default, it uses pytest as the test runner but
 also supports alternatives like tox. It works out-of-the-box for most
 Python projects and uses the operating system’s native file monitoring APIs -
 on supported systems - rather than relying in polling.
 .
 To ensure tests are executed against the latest code, it supports a
 configurable delay that accommodates code formatters and other post-processing
 tools. The utility also features an interactive mode with keyboard shortcuts,
 supports customizable file patterns to watch or ignore, and provides options
 for running tests immediately upon startup or clearing the screen before each
 test run.
 .
 pytest-watcher is a modern alternative to the now-unmaintained pytest-watch
 project. While it was inspired by pytest-watch, it is not a fork and
 introduces several improvements in configuration, behavior, and compatibility.

=== debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE=1

export PYBUILD_NAME=pytest-watcher

SPHINXOPTS := -E -N

%:
	dh $@ --buildsystem=pybuild

override_dh_sphinxdoc:
ifeq (,$(findstring nodoc, $(DEB_BUILD_OPTIONS)))
	cd .pybuild && \
	PYTHONPATH=$$PWD/`dirname $$(find . -type d -name "pytest_watcher*dist-info" | head -n1)` && \
	export PYTHONPATH && \
	    python3 -m sphinx -b html $(SPHINXOPTS) ../docs $(CURDIR)/debian/python-$(PYBUILD_NAME)-doc/usr/share/doc/python-$(PYBUILD_NAME)-doc/html
	dh_sphinxdoc
endif

override_dh_compress:
	dh_compress -X changelog.html

=== debian/tests/control ===
Tests: upstream
Depends:
 python3-all,
 python3-freezegun,
 python3-pytest,
 python3-pytest-mock,
 @,
Restrictions: allow-stderr
